using System;

namespace Aitex.Core.RT.IOCore.Interlock.DataProvider;

public class AiValueProvider : IoValueProviderBase<AIAccessor>, IInterlockLimitDataProvider
{
    public AiValueProvider(AIAccessor io) : base(io)
    {
    }

    /// <summary>
    /// 返回指定AO的FloatValue。
    /// </summary>
    /// <returns></returns>
    public override object GetValue()
    {
        return Convert.ToDouble(Io.Value);
    }
}